Bug 899417 (JBEWS-278) - EWS: RHEL6 zip distribution is missing 3 httpd modules (mod_file_cache.so, mod_imagemap.so, mod_mem_cache.so)
Summary: EWS: RHEL6 zip distribution is missing 3 httpd modules (mod_file_cache.so, mo...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: JBEWS-278
Product: JBoss Enterprise Web Server 1
Classification: JBoss
Component: unspecified
Version: EWS 1.0.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: EWS 1.0.2
Assignee: Permaine Cheung
QA Contact:
URL: http://jira.jboss.org/jira/browse/JBE...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-18 07:47 UTC by Peter Skopek
Modified: 2012-11-13 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
zip distribution for both RHEL6 arch (i386 and x86_64)
Last Closed: 2011-06-07 07:04:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBEWS-278 Major Closed EWS: RHEL6 zip distribution is missing 3 httpd modules (mod_file_cache.so, mod_imagemap.so, mod_mem_cache.so) 2017-09-07 21:37:12 UTC

Description Peter Skopek 2011-05-18 07:47:13 UTC
Affects: Release Notes
project_key: JBEWS

zip distribution for RHEL6-i368 and RHEL6-x86_64 is missing following modules compared to RHEL4 and RHEL5 distros.
jboss-ews-1.0/httpd/modules/mod_file_cache.so
jboss-ews-1.0/httpd/modules/mod_imagemap.so
jboss-ews-1.0/httpd/modules/mod_mem_cache.so

This is missing functionality so marking it as blocker.

Comment 1 Permaine Cheung 2011-05-18 12:49:41 UTC
This is the same as our RHEL 6 base httpd package, which is what we merged with when creating the package for RHEL 6.

Comment 2 Permaine Cheung 2011-05-18 14:23:06 UTC
I checked with the RHEL maintainer of httpd, and they are all obsolete.  mod_disk_cache is the only cache module worth using, the others are buggy/incomplete; mod_imagemap has not been useful since around a decade ago when client-side HTML image maps were widely supported.

Comment 3 Peter Skopek 2011-05-18 14:53:13 UTC
That explains two modules (mod_file_cache.so, mod_imagemap.so) and I am fine with missing them on RHEL6 then.
But what about mod_mem_cache.so?
What if somebody has app using this distributed memory caching system. This will be a blocker for them to use RHEL6 and EWS 1.0.2.
I was just listening to OpenShift presentation and there is a memcache cartridge supported. 

Comment 4 Permaine Cheung 2011-05-18 15:18:48 UTC
That actually covers all 3 modules. 
"mod_disk_cache is the only cache module worth using, the others are buggy/incomplete" which covers the mod*cache.so.
We still have mod_disk_cache.so in our distribution and that's what should be used.

Comment 5 Peter Skopek 2011-05-18 17:15:32 UTC
Yes, you are right. I mixed it with different memcache. So, I am marking this to go to release notes.

Comment 6 Peter Skopek 2011-05-18 17:28:07 UTC
Release Notes Text: Added: Draft text:
RHEL6 distributions don't contain following httpd modules: mod_file_cache, mod_imagemap, mod_mem_cache.
mod_file_cache and mod_mem_cache are removed as obsolete and mod_disk_cache can be used instead of them.
mod_imagemap is removed as not being useful since around a decade ago when client-side HTML image maps were widely supported.

Affects: Added: [Release Notes]


Comment 7 Rebecca Newton 2011-05-19 04:06:59 UTC
I have added this into the release notes in the excluded section: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/1.0/html/Release_Notes_1.0.2/removed_items.html

Please let me know if this is enough, and if anything needs to change. Thanks.

Comment 8 Peter Skopek 2011-05-19 08:23:32 UTC
Thanks, the text looks good to me.

Comment 9 Permaine Cheung 2011-05-24 14:34:40 UTC
Text looks good, marking this as resolved.

Comment 10 Ondřej Žižka 2011-06-07 07:04:28 UTC
Release notes checked on stage, they're fine. 

Comment 11 Anatoliy Lisovskiy 2011-07-28 00:48:53 UTC
Unfortunately it had not been resolved.
64-bit distribution contains 32-bit libraries.

Anatoliy

Comment 12 Ondřej Žižka 2011-08-01 01:31:18 UTC
Created a new jira, JBPAPP-6934. 

Comment 13 Jiri Skrabal 2012-11-13 16:27:07 UTC
Release Notes Text: Removed: Draft text:
RHEL6 distributions don't contain following httpd modules: mod_file_cache, mod_imagemap, mod_mem_cache.
mod_file_cache and mod_mem_cache are removed as obsolete and mod_disk_cache can be used instead of them.
mod_imagemap is removed as not being useful since around a decade ago when client-side HTML image maps were widely supported.
 
Docs QE Status: Removed: NEW 



Note You need to log in before you can comment on or make changes to this bug.